services:
  logger.channel.commerce_seb:
    parent: logger.channel_base
    arguments: ['commerce_seb']
  commerce_seb.connector_factory:
    class: Drupal\commerce_seb\SebConnectorFactory
    arguments: ['@state']
  commerce_seb.connector:
    class: Drupal\commerce_seb\SebConnector
    factory: 'commerce_seb.connector_factory:create'
